library FolderExist;

uses Windows, SysUtils;

Function PingAddress(Address: PChar; Status: PChar; Error: PChar; iTimeOutMSec: DWORD): BOOL; stdcall;
Begin
  Result:=DirectoryExists(Address);
  If (Result) then
    StrPCopy(Status, 'Folder ''%Address'' exists.')
  Else
    StrPCopy(Status, 'Folder ''%Address'' doesn''t exist.');
End;

Procedure GetTitle(Buffer: PChar); stdcall;
Begin
  StrPCopy(Buffer, 'Folder exist');
End;

Procedure GetDescription(Buffer: PChar); stdcall;
Const EOL = #$D#$A;
Begin
  StrPCopy(Buffer,
    'Tests if a specified folder exists.'+EOL+EOL+
    'It is necessary to specify the folder instead of address.');
End;

Function GetSolveIP: BOOL;
Begin
  Result:=False;
End;

exports
  PingAddress,
  GetTitle,
  GetDescription,
  GetSolveIP;

begin
end.
